=== modified file 'bzrlib/diff.py'
--- bzrlib/diff.py	2006-06-07 04:52:10 +0000
+++ bzrlib/diff.py	2006-06-12 15:17:23 +0000
@@ -14,10 +14,9 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+import subprocess
 import sys
-import subprocess
 from tempfile import NamedTemporaryFile
-
 import time
 
 from bzrlib.delta import compare_trees

=== modified file 'bzrlib/tests/test_diff.py'
--- bzrlib/tests/test_diff.py	2006-06-07 04:52:10 +0000
+++ bzrlib/tests/test_diff.py	2006-06-12 15:17:23 +0000
@@ -16,12 +16,14 @@
 
 import os
 from cStringIO import StringIO
+import errno
 from tempfile import TemporaryFile
 
 from bzrlib.diff import internal_diff, external_diff, show_diff_trees
 from bzrlib.errors import BinaryFile
 import bzrlib.patiencediff
-from bzrlib.tests import TestCase, TestCaseWithTransport, TestCaseInTempDir
+from bzrlib.tests import (
+    TestCase, TestCaseWithTransport, TestCaseInTempDir, TestSkipped)
 
 
 def udiff_lines(old, new, allow_binary=False):
@@ -32,14 +34,18 @@
 
 def external_udiff_lines(old, new):
     output = TemporaryFile()
-    external_diff('old', old, 'new', new, output, diff_opts=['-u'])
+    try:
+        external_diff('old', old, 'new', new, output, diff_opts=['-u'])
+    except OSError, e:
+        # if the diff program could not be found, skip the test
+        if e.errno == errno.ENOENT:
+            raise TestSkipped
     output.seek(0, 0)
     lines = output.readlines()
     output.close()
     return lines
 
 
-
 class TestDiff(TestCase):
 
     def test_add_nl(self):

